Bug 128624 - apps run in b/w when su - is used in gnome-terminal
apps run in b/w when su - is used in gnome-terminal
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-27 07:19 EDT by Jim Cornette
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: gnome-terminal-2.7.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 21:01:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Cornette 2004-07-27 07:19:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
When launching programs from a gnome-terminal after running/logging in
using su - the programs come up without any color attributes.

mc gives the below error in gnome-terminal.

# mc
subshell.c: couldn't open master side of pty
pty_open_master: No such file or directory


Mutt does not display errors but does come up without color.

Version-Release number of selected component (if applicable):
mc-4.6.0-16 gnome-terminal-2.6.0-4 

How reproducible:
Always

Steps to Reproduce:
1. Open gnome-terminal
2. su - to root env
3. Launch mc or mutt
    

Actual Results:  When launching mc or mutt from an su - terminal. It
comes up in black and white.

Expected Results:  mc and mutt to be in color within the su - environment

Additional info:

This does not happen if su w/o the - is given for logging into root or
does it happen as a regular user.
As a comparative program. setup comes up in color within an su -
environment.
Comment 1 Jim Cornette 2004-08-04 21:01:39 EDT
I just tried to su- after updating to the latest version of
gnome-terminal. The colors for mc and mutt are back again. 

Bug closed

Note You need to log in before you can comment on or make changes to this bug.